Subject: Re: [PATCH v4] memory-hotplug: Fix kernel warning during memory hotplug on ppc64

From: Dave Hansen <[email-masked]>
Date: Thu, 7 Jan 2016 17:13:58 -0800

On 01/06/2016 02:30 PM, John Allen wrote:
> On any architecture that uses memory_probe_store to reserve memory, the
> udev rule will be triggered after the first section of the block is
> reserved and will subsequently attempt to online the entire block,
> interrupting the memory reservation process and causing the warning.
> This patch modifies memory_probe_store to add a block of memory with
> a single call to add_memory as opposed to looping through and adding
> each section individually. A single call to add_memory is protected by
> the mem_hotplug mutex which will prevent the udev rule from onlining
> memory until the reservation of the entire block is complete.

Seems sane to me.  Makes the code simpler too, so win win.

Acked-by: Dave Hansen <[email-masked]>